# Uses of Interface
org.eclipse.birt.chart.model.attribute.Location3D

Packages that use Location3D
Package
Description
org.eclipse.birt.chart.computation
This is a placeholder file for the org.eclipse.birt.chart.computation package.
org.eclipse.birt.chart.computation.withaxes
This is a placeholder file for the org.eclipse.birt.chart.computation.withaxes package.
org.eclipse.birt.chart.event
Contains classes that define a rendering notification that is interpreted by a device renderer.
org.eclipse.birt.chart.model.attribute
Contains attribute interface definitions (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.
org.eclipse.birt.chart.model.attribute.impl
Contains attribute core class implementations (for fonts, fills, lines, etc) for all chart components that may be customized via appropriate accessor methods.

## Uses of Location3D in org.eclipse.birt.chart.computation

Methods in org.eclipse.birt.chart.computation that return Location3D
Modifier and Type
Method
Description
`Location3D`
GObjectFactory.`createLocation3D(double x, double y, double z)`
`Location3D`
IGObjectFactory.`createLocation3D(double x, double y, double z)`
`Location3D[]`
GObjectFactory.`createLocation3Ds(double[] xa, double[] ya, double[] za)`
`Location3D[]`
IGObjectFactory.`createLocation3Ds(double[] xa, double[] ya, double[] za)`
`final Location3D`
DataPointHints.`getLocation3D()`
Returns the 3d location value of current DataPointHintes(only available in 3d mode).
`Location3D[]`
Object3D.`getLocation3D()`
Returns the 3d coordinates for this object.
Constructors in org.eclipse.birt.chart.computation with parameters of type Location3D
Modifier
Constructor
Description
``
`Object3D(Location3D la)`
Construction by one 3d coordinate
``
`Object3D(Location3D[] loa)`
Construction by an array of 3d coordinates
``
`Object3D(Location3D[] loa, boolean inverted)`
Construction by an array of 3d coordinates
``
`Vector(Location3D loc)`
``
`Vector(Location3D start, Location3D end)`

## Uses of Location3D in org.eclipse.birt.chart.computation.withaxes

Methods in org.eclipse.birt.chart.computation.withaxes that return Location3D
Modifier and Type
Method
Description
`Location3D`
OneAxis.`getAxisCoordinate3D()`

## Uses of Location3D in org.eclipse.birt.chart.event

Methods in org.eclipse.birt.chart.event that return Location3D
Modifier and Type
Method
Description
`Location3D[]`
Text3DRenderEvent.`getBlockBounds3D()`
`Location3D`
Line3DRenderEvent.`getEnd3D()`
Returns the 3D end location of this line.
`Location3D`
Image3DRenderEvent.`getLocation3D()`
`Location3D[]`
Oval3DRenderEvent.`getLocation3D()`
`Location3D`
Text3DRenderEvent.`getLocation3D()`
`Location3D[]`
Polygon3DRenderEvent.`getPoints3D()`
`Location3D`
Line3DRenderEvent.`getStart3D()`
Returns the 3D start location of this line.
`Location3D`
Arc3DRenderEvent.`getTopLeft3D()`
Methods in org.eclipse.birt.chart.event with parameters of type Location3D
Modifier and Type
Method
Description
`void`
Text3DRenderEvent.`setBlockBounds3D(Location3D[] loa)`
Sets the 3D block bounds of the text.
`void`
Line3DRenderEvent.`setEnd3D(Location3D end)`
Sets the 3D end location of the line.
`void`
Image3DRenderEvent.`setLocation3D(Location3D lo)`
Sets the 3D location of the image.
`void`
Oval3DRenderEvent.`setLocation3D(Location3D[] loa)`
Set 3D location of the event.
`void`
Text3DRenderEvent.`setLocation3D(Location3D loc)`
Sets the 3D location of the text.
`void`
Polygon3DRenderEvent.`setPoints3D(Location3D[] loa)`
Note that setPoints3D must be called with the points in the right order: that is needed for the right orientation of the polygon.
`void`
Polygon3DRenderEvent.`setPoints3D(Location3D[] loa, boolean inverted)`
Note that setPoints3D must be called with the points in the right order: that is needed for the right orientation of the polygon.
`void`
Line3DRenderEvent.`setStart3D(Location3D start)`
Sets the 3D start location of the line.
`void`
Arc3DRenderEvent.`setTopLeft3D(Location3D loc)`
Sets the 3D top-left location of the arc bounds.

## Uses of Location3D in org.eclipse.birt.chart.model.attribute

Methods in org.eclipse.birt.chart.model.attribute that return Location3D
Modifier and Type
Method
Description
`Location3D`
Location3D.`copyInstance()`
`Location3D`
AttributeFactory.`createLocation3D()`
Returns a new object of class 'Location3 D'.

## Uses of Location3D in org.eclipse.birt.chart.model.attribute.impl

Classes in org.eclipse.birt.chart.model.attribute.impl that implement Location3D
Modifier and Type
Class
Description
`class`
`Location3DImpl`
An implementation of the model object 'Location3 D'.
Methods in org.eclipse.birt.chart.model.attribute.impl that return Location3D
Modifier and Type
Method
Description
`Location3D`
Location3DImpl.`copyInstance()`
A convenient method to get an instance copy.
`static final Location3D[]`
Location3DImpl.`create(double[] xa, double[] ya, double[] za)`
`static Location3D`
Location3DImpl.`create(double x, double y, double z)`
`Location3D`
AttributeFactoryImpl.`createLocation3D()`
Methods in org.eclipse.birt.chart.model.attribute.impl with parameters of type Location3D
Modifier and Type
Method
Description
`static double[]`
Location3DImpl.`getXArray(Location3D[] loc)`
`static double[]`
Location3DImpl.`getYArray(Location3D[] loc)`
`static double[]`
Location3DImpl.`getZArray(Location3D[] loc)`